#ifndef ELEMSWITCHT_H
#define ELEMSWITCHT_H

#include "aliast.h"
#include "matrix.h"

void conductmat (long eid,long lcid,matrix &km);
void capacmat (long eid,long lcid,matrix &cm);

void intpointvalues (long eid);
void intpointgradients (long eid);
void intpointother (long eid);

void source_vector (long lcid,long eid,vector &nodval,vector &lv);

void compute_nodeotherst (long lcid);

void internal_fluxes (double *intflux,long n);

void elem_neumann_vector (vector &lv,long lcid,long eid,long i);
void elem_newton_vector (vector &lv,long lcid,long eid,long i);
void elem_transmission_flux (vector &lv,long lcid,long eid,long i);
void volume_rhs_vector (vector &lv,long lcid,long eid);

#endif
