#include <string.h>
#include "inicon.h"
#include "intools.h"

inicon::inicon()
{
  ncon = 0L;
  con  = NULL;
}

long inicon::read(FILE *in)
{
/*  long nbc, td, i;
  double tc;
  fscanf(in, "%ld%ld", &nn, &ncon);
  if ((nn < 1) || (nn > Mt->nn))
    return(1);
  nn--;
  ndof = Mt->nodes[nn].ndofn;
  if ((nbc < 1) || (nbc > ndof))
    return(2);
  con = new double[ndof];
  memset(con, 0, sizeof(*cond)*ndof);
  for (i = 0, i < ncon; i++)
    fscanf(in,"%le", &con[i]);
  */
  return(0);
}



long inicon::read_prop(FILE *in, long ndofn)
{
  long i, err;

  if ((ndofn < 1) || (ndofn > 6))
    return(1);
  ncon = ndofn;
  con = new double[ncon];
  memset(con, 0, sizeof(*con)*ncon);

  for (i = 0; i < ncon; i++)
  {
    err = getdouble(in, con[i]);
    if (err)
    {
      fprintf(stderr, "\n\nError reading initial condition in function\n");
      fprintf(stderr, " inicon::read_prop (inicon.cpp) \n");
      return(3);
    }
  }
  return(0);
}

inicon::~inicon()
{
  ncon = 0L;
  delete [] con;
}
